Subject: Taiwanese TeX

From: [email-masked] (D Hosek)
Date: 28 Apr 90 05:16:28 GMT

Below is the note I referred to.

Date: Wed, 18 Oct 89 22:58:17 CST
From: Tsong-Min Wu <[email-masked]>
Subject: Re: Driver for 24 pint dirver

(2) Now for Chinese version of TeX.  TeX system (English version) is
    not very popular in Taiwan.  I have been trying to publicize it
    starting from my dept (Dept of Econ., National Taiwan University).
     
    As for Chinese version of TeX, I have followed Saito's (JTeX) idea
    to construct a preprocessor that reads Chinese and then transform
    them into cfontcchar pair.  The preprocessor seems to be working,
    although as you may have guessed, it can not take care of all the
    situation that a full English version of TeX is supposed to do.
    The main difficulty is Fonts.  You suggest that one may use the
    Kanji fonts supplied by commercial firm as in JTeX.  However, many
    Chinese characters used in Japanese are not used in Chinese.  And many
    Chinese characters used in Chinese are not used in Japanese.  (I hope
    this is not confusing.)  Moreover, some characters used both in
    Japanese and Chinese have different "stroke".  So it is not that
    easy to use the Kanji fonts in Chinese.
     
    There are public domain Chinese fonts, but only in 24x24,
    32x32, 48x48 dots, and the quality is not that good.  What I have done
    is to convert 24x24 dot fonts into GF and PK format.  It turns out
    that the fonts works well with CM 10pt fonts with 1200 magnification
    in 180 dpi printer such as Epson LQ printer.  On the other hand,
    a 40x40 fonts works well with 300 dpi laser printer such as HP laser.
    So that is the current status of Chinese version of TeX.  I know
    another implementation of Chinese TeX.  However, it does not seem
    to be working fine.  For example, it is not possible to have right
    justification!  (I hope to improve my own implementation, however
    my resources are quite limited.  I have only limited experiences in
    programing (many coding is done by my younger brother), and my own
    field is in Economics, and not computer.)
     
    If you have detailed info about Don Hosek's work on Chinese
    characters by Metafont, I would be interesting to know.
     
    Tsong-Min Wu, Dept of Economics, National Taiwan University
    [email-masked]
-------

-- 
Important note: The Anti-Social Committee will not be meeting this
                week.
                                   UUCP: uunet!jarthur!dhosek
                               Internet: [email-masked]